Bug 229742 - dns/dnsdist: update to 1.3.2
Summary: dns/dnsdist: update to 1.3.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Carlos J. Puga Medina
URL:
Keywords: patch, patch-ready
Depends on:
Blocks:
 
Reported: 2018-07-12 19:21 UTC by Ralf van der Enden
Modified: 2018-07-14 09:19 UTC (History)
0 users

See Also:
cpm: maintainer-feedback+


Attachments
Update dnsdist to 1.3.2 (3.34 KB, patch)
2018-07-12 19:21 UTC, Ralf van der Enden
cpm: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-07-12 19:21:55 UTC
Created attachment 195093 [details]
Update dnsdist to 1.3.2

This release introduces some new features, but is mostly fixing bugs.

Changelog: https://dnsdist.org/changelog.html#change-1.3.2

IMPORTANT!!! From https://blog.powerdns.com/2018/07/10/dnsdist-1-3-2-released/

Breaking changes
After discussing with several users, we noticed that quite a lot of them were not aware that enabling the dnsdist’s console without a key, even restricted to the local host, could be a security issue and allow privilege escalation by allowing an unprivileged user to connect to the console and execute Lua code as the dnsdist user. We therefore decided to refuse any connection to the console until a key has been set, so please check that you do set a key before upgrading if you use the console. 

Removed file(s):
files/patch-boost-1.67
Comment 1 Carlos J. Puga Medina freebsd_committer 2018-07-13 17:38:47 UTC
(In reply to Ralf van der Enden from comment #0)

LGTM. Thanks for the patch!
Comment 2 commit-hook freebsd_committer 2018-07-14 09:18:40 UTC
A commit references this bug:

Author: cpm
Date: Sat Jul 14 09:17:52 UTC 2018
New revision: 474629
URL: https://svnweb.freebsd.org/changeset/ports/474629

Log:
  dns/dnsdist: Update to 1.3.2

  - Add a note to UPDATING about breaking changes

  Changelog: https://dnsdist.org/changelog.html#change-1.3.2

  PR:		229742
  Submitted by:	Ralf van der Enden <tremere@cainites.net>
  Approved by:	cpm

Changes:
  head/UPDATING
  head/dns/dnsdist/Makefile
  head/dns/dnsdist/distinfo
  head/dns/dnsdist/files/patch-boost-1.67
Comment 3 Carlos J. Puga Medina freebsd_committer 2018-07-14 09:19:43 UTC
Committed, thanks!